# ===================================
#  Form Field Definitions
# ===================================

fields:
    settings[title]:
        span: left
        label: cms::lang.editor.title
        placeholder: cms::lang.editor.new_title
        attributes:
            default-focus: 1

    settings[url]:
        span: right
        placeholder: /
        label: cms::lang.editor.url
        preset:
            field: settings[title]
            type: url

    toolbar:
        type: partial
        path: page_toolbar
        cssClass: collapse-visible

    components: Cms\FormWidgets\Components

tabs:
    cssClass: master-area
    fields:
        fileName:
            tab: cms::lang.editor.settings
            span: left
            label: cms::lang.editor.filename
            preset:
                field: settings[title]
                type: file

        settings[layout]:
            tab: cms::lang.editor.settings
            span: right
            label: cms::lang.editor.layout
            type: dropdown
            options: getLayoutOptions

        settings[description]:
            tab: cms::lang.editor.settings
            label: cms::lang.editor.description
            type: textarea
            size: tiny

        settings[meta_title]:
            tab: cms::lang.editor.meta
            label: cms::lang.editor.meta_title

        settings[meta_description]:
            tab: cms::lang.editor.meta
            label: cms::lang.editor.meta_description
            type: textarea
            size: tiny

        settings[is_hidden]:
            tab: cms::lang.editor.settings
            label: cms::lang.editor.hidden
            type: checkbox
            comment: cms::lang.editor.hidden_comment

secondaryTabs:
    stretch: true
    fields:
        markup:
            tab: cms::lang.editor.markup
            stretch: true
            type: codeeditor
            language: twig

        code:
            tab: cms::lang.editor.code
            stretch: true
            type: codeeditor
            language: php
